# Class ContentDigests

java.lang.Object
htsjdk.samtools.cram.digest.ContentDigests

public final class ContentDigests extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`ContentDigests.KNOWN_DIGESTS`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EnumSet<ContentDigests.KNOWN_DIGESTS>`
`ALL`
`static final EnumSet<ContentDigests.KNOWN_DIGESTS>`
`CRC32`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(CRAMCompressionRecord record)`
`static ContentDigests`
`create(SAMBinaryTagAndValue binaryTags)`
`static ContentDigests`
`create(EnumSet<ContentDigests.KNOWN_DIGESTS> requestedDigests)`
`SAMBinaryTagAndValue`
`getAsTags()`
`boolean`
`test(SAMBinaryTagAndValue tags)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ALL

public static final EnumSet<ContentDigests.KNOWN_DIGESTS> ALL

### CRC32

public static final EnumSet<ContentDigests.KNOWN_DIGESTS> CRC32

## Method Details

### create

public static ContentDigests create(EnumSet<ContentDigests.KNOWN_DIGESTS> requestedDigests)

### create

public static ContentDigests create(SAMBinaryTagAndValue binaryTags)

### add

public void add(CRAMCompressionRecord record)

### getAsTags

public SAMBinaryTagAndValue getAsTags()

### test

public boolean test(SAMBinaryTagAndValue tags)